--
-- by Zippo
--

menu815 = {};

function menu815.prerequisitesPresent(specializations)
    return true;
end;

function menu815:load(xmlFile)
		print("Zippo Menu");
		local i = 0;
		self.menu = {};
    self.menuAn = false;
		while true do
			local menu = {};
			local objname = string.format("vehicle.menu.extramenu(%d)",i);
      local rotnode = getXMLString(xmlFile, objname .. "#rotNode");
      if rotnode == nil then 
      	break;
      end;
      menu = {};
      menu.rotNode = Utils.indexToObject(self.components, rotnode);
      
      if(menu.rotNode == nil or menu.light == nil) then
      	print("Error: Index ("..rotnode..") Error");
            	table.insert(self.menu, menu);
      end;
      i=i+1;
    end;
    self.menuAnz = table.getn(self.menu);
      
end;

function menu815:delete()
end;

function menu815:mouseEvent(posX, posY, isDown, isUp, button)
end;

function menu815:keyEvent(unicode, sym, modifier, isDown)
end;

function menu815:update(dt)
	
    if InputBinding.hasEvent(InputBinding.MENU2) then
    	self.menuAn = not self.menuAn;
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
    if self.menuAn then
      for i=1, self.menuAnz do
        setVisibility(self.menu[i].light, self.menuAn);
      end;
    end;
  end;


function menu815:draw()
    if self.menuAnz > 0 and self:getIsActive() then
    		g_currentMission:addHelpButtonText(g_i18n:getText("menu"), InputBinding.MENU2);
		if self.menuAn then
		renderText(0.7, 0.350, 0.02, "Tatra 815 Rameno");
		renderText(0.7, 0.315, 0.02, "Key K/M -> Zdvih/spousteni ramene I");
		renderText(0.7, 0.300, 0.02, "Key J/N -> Zdvih/spousteni ramene II");
		renderText(0.7, 0.285, 0.02, "Key O/L -> Vysuv/zasuv vylozniku");
		renderText(0.7, 0.255, 0.02, "Key V/B -> Otaceni ramene");
		end;
    end;
end;

